Skip to main content

Generate manifest

POST https://delivery-api.paysera.com/rest/v1/orders/{id}/manifest

Generate a manifest document for the order.

A manifest is a courier handover document that lists all shipments to be picked up. Generating the manifest may trigger assignment of courier-specific order IDs.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, please refer to the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
idstring✓Order ID

Example​

Request​

POST https://delivery-api.paysera.com/rest/v1/orders/{id}/manifest
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://delivery-api.paysera.com

RESPONSE

Manifest generated successfully
{}